Loading...
Searching...
No Matches
casacore::MeasTableMulSC2000Base Class Reference
measures package (libcasa_measures) » Measures_module

Base class for J2000 nutation multipliers. More...

`#include <MeasTableMul.h>`

## Public Member Functions

| MeasTableMulSC2000Base ()
Public Member Functions inherited from casacore::MeasTableMul
| MeasTableMul ()
virtual | ~MeasTableMul ()
void | clear ()
std::shared_ptr< Matrix< Double > > | getArray (Double time, Double epsilon)
virtual void | init ()=0
virtual void | calc (Matrix< Double > &, Double time)=0

## Protected Member Functions

void | doInit (Matrix< Double > &result, Polynomial< Double > poly[], Int nrowSC, const Long coeffSC[][6])
void | doCalc (Matrix< Double > &result, Double time, const Polynomial< Double > poly[], Int nrowSC)

## Additional Inherited Members

Protected Attributes inherited from casacore::MeasTableMul
std::mutex | itsMutex
Int64 | itsLastUsed
std::vector< Int64 > | itsUsed
std::vector< Double > | itsTimes
std::vector< std::shared_ptr< Matrix< Double > > > | itsArrays
Matrix< Double > | itsDefArray

## Detailed Description

Base class for J2000 nutation multipliers.

Definition at line 158 of file MeasTableMul.h.

## Constructor & Destructor Documentation

## MeasTableMulSC2000Base()

casacore::MeasTableMulSC2000Base::MeasTableMulSC2000Base | ( |  | ) |

## Member Function Documentation

## doCalc()

void casacore::MeasTableMulSC2000Base::doCalc | ( | Matrix< Double > & | result,
|  | Double | time,
|  | const Polynomial< Double > | poly[],
|  | Int | nrowSC )

protected

References casacore::Polynomial(), and casacore::time().

## doInit()

void casacore::MeasTableMulSC2000Base::doInit | ( | Matrix< Double > & | result,
|  | Polynomial< Double > | poly[],
|  | Int | nrowSC,
|  | const Long | coeffSC[][6] )

protected

References casacore::Polynomial().

The documentation for this class was generated from the following file:

- measures/Measures/MeasTableMul.h